M_ActivityFishingCeleGiftRecharge = {}

function M_ActivityFishingCeleGiftRecharge:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_ActivityFishingCeleGiftRecharge:init()
	self.datas = {}
	self.datas[1] = {ID = 1, GiftID = 354, needItem = 301, needCount = 0}
	self.datas[2] = {ID = 2, GiftID = 355, needItem = 301, needCount = 12}
	self.datas[3] = {ID = 3, GiftID = 356, needItem = 301, needCount = 32}
	self.datas[4] = {ID = 4, GiftID = 357, needItem = 301, needCount = 74}
	self.datas[5] = {ID = 5, GiftID = 358, needItem = 301, needCount = 140}
	self.datas[6] = {ID = 6, GiftID = 359, needItem = 301, needCount = 360}
	self.datas[7] = {ID = 7, GiftID = 360, needItem = 301, needCount = 699}
end

M_ActivityFishingCeleGiftRecharge:init()
